| DocBook: The Definitive Guide 2.0.17 (Alpha)

# tbody

$Revision$

$Date$

tbody — A wrapper for the rows of a table or informal table

## Synopsis

### Content Model

    tbody ::=
    ((tr+|row+))

### Attributes

Common attributes

Name | Type | Default
ondblclick | CDATA | None
onkeydown | CDATA | None
onkeyup | CDATA | None
onmouseup | CDATA | None
onmouseover | CDATA | None

valign

Enumeration:
bottom
middle
top

None

onmouseout | CDATA | None
onmousemove | CDATA | None
style | CDATA | None
xml:lang | NMTOKEN | None
onkeypress | CDATA | None
onmousedown | CDATA | None
onclick | CDATA | None
title | CDATA | None
class | CDATA | None

## Description

The `TBody` wrapper identifies the `Row`s of a table that form the body of the table, as distinct from the header (`THead`) and footer (`TFoot`) rows.

In most tables, the `TBody` contains most of the rows.

### Processing expectations

This element is expected to obey the semantics of the CALS Table Model Document Type Definition, as specified by OASIS Technical Memorandum TM 9502:1995 .

### Parents

These elements contain tbody: `entrytbl`, `informaltable`, `table`, `tgroup`.

### Children

The following elements occur in tbody: `row`, `tr`.

## Attributes

valign

  `VAlign` specifies the vertical alignment of text (and other elements) within the cells of this `TBody`.

## See Also

`colspec`, `entry`, `entrytbl`, `informaltable`, `row`, `spanspec`, `table`, `tfoot`, `tgroup`, `thead`.

## Examples

For examples, see `entrytbl`, `footnoteref`, `informaltable`, `table`.

tasksummary |  | td

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.